Subject: bug#48756: closed (Re: bug#48756: guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Jul 2021 01:48:02 +0000

Your bug report

#48756: guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48756: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48756
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48756: guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>
From: Maxim Cournoyer <[email-masked]>
To: Madhavan Krishnan <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Wed, 21 Jul 2021 21:46:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Madhavan Krishnan <[email-masked]> writes:

> Many thanks for your time and effort in debugging this.
>
> I can confirm this issue is resolved.
>
> Regards

Good to know!

Closing.

Maxim

Subject: guix offload: error: corrupt input while restoring archive from #<closed: file 7f68866bf770>
From: Madhavan Krishnan <[email-masked]>
To: [email-masked]
Date: Mon, 31 May 2021 00:15:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there, I am trying to follow this instruction [[info:guix#Daemon
Offload Setup][guix#Daemon Offload Setup]] with guix
6086e6ed1a038793e358becddded50d97593f691 on the host and build machine
to set up a offload build machine, and I end up with the error below.

~ $ guix offload test
guix offload: testing 1 build machines defined in '/etc/guix/machines.scm'...
guix offload: Guix is usable on 'build-machine' (test returned "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
guix offload: 'build-machine' is running GNU Guile 3.0.5
guix offload: sending 1 store item (0 MiB) to 'build-machine'...
exporting path `/gnu/store/hqisv30c33ka8xascqh2x0lyqd0bp6z4-export-test'
guix offload: error: corrupt input while restoring archive from
#<closed: file 7f68866bf770>

Side note I tried testing if I could export manually to said build-machine,
which worked with out any problems.

~ $ guix archive --export -r emacs | ssh build-machine guix archive --import

and same goes for =guix offload status= which work fine as well.

Regards
-- 
Madhavan Krishnan